org.springframework.data.support

## Interface IsNewStrategy

All Known Implementing Classes:
  PersistableIsNewStrategy

    public interface IsNewStrategy

Strategy interface to determine whether a given entity is to be considered new.

Since:
  1.5
Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isNew(Object entity)` Returns whether the given entity is new, i.e. has never been persisted before or not.

### Method Detail

#### isNew

    boolean isNew(Object entity)

Returns whether the given entity is new, i.e. has never been persisted before or not.

Parameters:
  `entity` - must not be null.
Returns: